#!/usr/bin/perl
######################################################################
# Random Image Displayer                  Version 1.0                #
# Copyright 1999 Frederic TYNDIUK (FTLS)  All Rights Reserved.       #
# E-Mail: tyndiuk@ftls.org                Script License: GPL        #
# Created  05/30/99                       Last Modified 05/30/99     #
# Scripts Archive at:                     http://www.ftls.org/cgi/   #
######################################################################
# Function :                                                         #
# Random Image Displayer                                             #
######################################################################
##################### license & copyright header #####################
#                                                                    #
#                 Copyright (c) 1999 TYNDIUK Frederic                #
#                                                                    #
#  This program is free software; you can redistribute it and/or     #
#  modify it under the terms of the GNU General Public License as    #
#  published by the Free Software Foundation; either version 2 of    #
#  the License, or (at your option) any later version.               #
#                                                                    #
#  This program is distributed in the hope that it will be useful,   #
#  but WITHOUT ANY WARRANTY; without even the implied warranty of    #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the     #
#  GNU General Public License for more details.                      #
#                                                                    #
#  You should have received a copy of the GNU General Public License #
#  along with this program in the file 'COPYING'; if not, write to   #
#  the Free Software Foundation, Inc., 59 Temple Place - Suite 330,  #
#  Boston, MA 02111-1307, USA, or contact the author:                #
#                                                                    #
#                              TYNDIUK Frederic <tyndiuk@ftls.org>   #
#                                       <http://www.ftls.org/>       #
#                                                                    #
################### end license & copyright header ###################
######################################################################
# Necessary Variables:                                               #
# The following variables should be set to define the locations      #
# and URLs of various files, as explained in the documentation.      #

$RandomTextFile = "/Absolute/path/to/Random-IMG.txt";

$BaseImgURL = "http://www.hostname.dom/images/";

#Options:
$UseLog = 0;      # Use Log File ? 1 = YES; 0 = NO
$LogFile  = "/Absolute/path/to/Random-Text-Log.txt";
	
# Nothing Below this line needs to be altered!                       #
######################################################################

	srand(time);
	open(LINKS,"$RandomTextFile") ||  &Error("Cannot Open Links File : $RandomTextFile, Error $!\n");
	$NbLines = @IMGFile = <LINKS>;
	close(LINKS);

	$Url = $IMGFile[int rand $NbLines];

	if ($UseLog) {
		@date = localtime(time); $date[4]++; $date[5] += 1900;
		$Time = "$date[4]/$date[3]/$date[5]";
		open(LOG,">>$LogFile") || &Error("Cannot Write Log File : $LogFile, Error $!\n");
		print LOG "[$Time] - $ENV{'REMOTE_HOST'} -> $Url\n";
		close(LOG);
	}

	if ($Url =~ /^http:\/\//) {
		print "Location: $Url\n\n";
	} else {
		print "Location: $BaseImgURL$Url\n\n";
	}

sub Error {
	my($ErrorText) = @_;
	exit;
}